--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress MDD change 14/477
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              03-OCT-14   Generis           13.8
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
SET SCAN OFF
--
PROMPT
PROMPT Script to regress MDD change 14/477
PROMPT
PROMPT Version 13.8
PROMPT
--
PROMPT
PROMPT Regress add CLG as SHIP (and GAO) (MDD 14/477)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                      WHERE MARKET_PARTICIPANT_CODE = ''CLG''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''SHIP''';

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                      WHERE MARKET_PARTICIPANT_CODE = ''CLG''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT 
                      WHERE MARKET_PARTICIPANT_CODE = ''CLG''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
